dev_package outdated?

Other talk that doesn't fit elsewhere.
This is for General Discussion, not General chat.
Post Reply
User avatar
Watermelon
Code contributor
Code contributor
Posts: 551
Joined: 08 Oct 2006, 09:37

dev_package outdated?

Post by Watermelon » 08 Oct 2006, 11:12

Hello I am new to this game/forum.Warzone2100 is great game,especially for its replayability,so bad I missed such a great game a few years ago.Thanks for the hard works. :)

Back to topic,I was very keen to the latest features('locked team' vs cpu etc),so I grabbed the latest cvs source from gna and tried to compile the source in windows with mingw few days ago,I followed the instructions in compile.html step by step carefully,then installed dev_package,the compile was successfully but it compains about few missing libs:libpng13,libjpeg6b and a few unresolved reference to functions in phyfs-1.0.1 etc when linking the objects.

Initially I thought I did something wrong while following the instructions in compile.html,so I uninstalled/reinstalled all tools,but it still returned the same errors.

After a few hours' investigation and 'googling'(because I am still newbie to C/C++  :D) ,I finally figured out the libs in dev_package are dated and no longer compatible with the latest cvs source,so I downloaded png 1.2.13beta,jpeg6b,phyfs-1.1.0 source and compile them into .a libs,then copied them into dev_package/lib folder,mingw compiled it successfully with these changes. :)

I dont know if there are newer dev_package available for download,if not please consider updating the dev_package,so others wont run into the same problem while compiling the latest source,thanks. :)
tasks postponed until the trunk is relatively stable again.

cybersphinx
Inactive
Inactive
Posts: 1691
Joined: 01 Sep 2006, 19:17

Re: dev_package outdated?

Post by cybersphinx » 08 Oct 2006, 13:07

You need the dev package that's on gna.org, go to http://download.gna.org/warzone/development/. And someone needs to update COMPILE.html, or remove it completely, since COMPILE seems to be more up to date.
We want information... information... information.

User avatar
Watermelon
Code contributor
Code contributor
Posts: 551
Joined: 08 Oct 2006, 09:37

Re: dev_package outdated?

Post by Watermelon » 08 Oct 2006, 14:51

Thanks.I tried to download that one from gna site,but it's either broken or restricted,so is the 2.0.5_rc1 windows full executable on gna.

The dev_package I was using was a 7zip self-extract executable(2.7mb or so,date 2005-11-22),libpng13,libjpeg6b,phyfs were outdated in that package,thats why I had to compile png13,jpeg6b,phyfs libs myself to fix the linking errors.
tasks postponed until the trunk is relatively stable again.

User avatar
DevUrandom
Regular
Regular
Posts: 1690
Joined: 31 Jul 2006, 23:14

Re: dev_package outdated?

Post by DevUrandom » 09 Oct 2006, 18:08

So you have all the libs compiled with MinGW? Do you have the static (.a) libs? Would be nice if you could send them to me. :) (If I have a complete set of libs for Windows, I won't have to compile with MSVC and thus the MSVC redist wouldn't be needed which would reduce the problems for WinXP users. :)

I just fixed the permissions on the download server...

User avatar
Watermelon
Code contributor
Code contributor
Posts: 551
Joined: 08 Oct 2006, 09:37

Re: dev_package outdated?

Post by Watermelon » 09 Oct 2006, 18:50

Sure,check your pm please. :)
tasks postponed until the trunk is relatively stable again.

Suprano
Rookie
Rookie
Posts: 31
Joined: 04 Aug 2006, 11:44
Location: Bavaria
Contact:

Re: dev_package outdated?

Post by Suprano » 31 Oct 2006, 15:36

I also found this one, which may help you as well:

http://sourceforge.net/project/showfile ... up_id=7382

--Ano

User avatar
DevUrandom
Regular
Regular
Posts: 1690
Joined: 31 Jul 2006, 23:14

Re: dev_package outdated?

Post by DevUrandom » 31 Oct 2006, 19:24

They are quite outdated...
I'll try to crosscompile everything on Linux.

Suprano
Rookie
Rookie
Posts: 31
Joined: 04 Aug 2006, 11:44
Location: Bavaria
Contact:

Re: dev_package outdated?

Post by Suprano » 31 Oct 2006, 19:29

Well i think there is e.g. no newer version of jpeg then beta6, but i have no idea what is uptodate  with the other libs...

--Ano

Post Reply